#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    int p;
    p = n * 2;
    if(n! = 3)
    {
    for(int i = 0; i < n; i++)
    {
        if(i % 2 == 0)
        {
            a[i] = p / 2;
            b[i] = i + 1;
        }
        else
        {
            a[i] = i + 1;
            b[i] = p--;
        }
    }
    for(int i = 0; i < n; i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 0; i < n; i++)
    {
        cout << b[i] << " ";
    }
    }
    else
    {
        cout << "1 6 4" << endl;
        cout << "2 5 3" << endl;
    }
    
    cout << n[i];

}